Get a webhook subscription
Inspect a subscription’s callback address, event types and active status. Save the ETag response header before updating or deleting it. Signing secrets and callback query parameters are omitted.
Path Parameters
- Type: stringFormat: uuidwebhook
Subscription Id required
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/external/v2/webhook-subscriptions/{webhookSubscriptionId}
curl https://sales-api.artemis.solar/external/v2/webhook-subscriptions/123e4567-e89b-12d3-a456-426614174000 \
--header 'x-api-key: YOUR_SECRET_TOKEN'
Active project and design-help subscription
{
"data": {
"id": "79c336cf-4067-44af-af39-c235db33aae2",
"callbackUrl": "https://integrations.example.com/webhooks/artemis",
"callbackHasQuery": false,
"apiMethod": "POST",
"eventTypes": [
"project-created",
"project-updated",
"design-help-started",
"design-help-ended"
],
"authType": "hmac",
"hasAuthCredentials": true,
"customHeaderNames": [],
"isActive": true,
"installerId": "f7b7db62-29bf-4e70-bf73-a9221674f12a",
"contractVersion": 2,
"createdAt": "2026-09-05T12:00:00.000Z",
"updatedAt": "2026-09-05T12:00:00.000Z"
}
}
